HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostPaymentMethods

Contains the different functions to run the operation postPaymentMethods

  • 29 types
  • 19 values
  • Packagestripeapi-3.0.0.0
  • Exports48
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostPaymentMethods.hs
valuepostPaymentMethods
  1. :: MonadHTTP m
  2. => Maybe PostPaymentMethodsRequestBody

    The request body to send

  3. -> ClientT m (Response PostPaymentMethodsResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/payment_methods

<p>Creates a PaymentMethod object. Read the <a href="/docs/stripe-js/reference#stripe-create-payment-method">Stripe.js reference</a> to learn how to create PaymentMethods via Stripe.js.</p>

<p>Instead of creating a PaymentMethod directly, we recommend using the <a href="/docs/payments/accept-a-payment">PaymentIntents</a> API to accept a payment immediately or the <a href="/docs/payments/save-and-reuse">SetupIntent</a> API to collect payment method details ahead of a future payment.</p>

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.acss_debit in the specification.

If this is an `acss_debit` PaymentMethod, this hash contains details about the ACSS Debit payment method.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.au_becs_debit in the specification.

If this is an `au_becs_debit` PaymentMethod, this hash contains details about the bank account.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.bacs_debit in the specification.

If this is a `bacs_debit` PaymentMethod, this hash contains details about the Bacs Direct Debit bank account.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.billing_details in the specification.

Billing information associated with the PaymentMethod that may be used or required by particular types of payment methods.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.billing_details.properties.address.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.billing_details.properties.address.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.billing_details.properties.email.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.boleto in the specification.

If this is a `boleto` PaymentMethod, this hash contains details about the Boleto payment method.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.card.anyOf in the specification.

If this is a \`card\` PaymentMethod, this hash contains the user\'s card details. For backwards compatibility, you can alternatively provide a Stripe token (e.g., for Apple Pay, Amex Express Checkout, or legacy Checkout) into the card hash with format \`card: {token: \"tok_visa\"}\`. When providing a card number, you must meet the requirements for PCI compliance. We strongly recommend using Stripe.js instead of interacting with this API directly.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.eps in the specification.

If this is an `eps` PaymentMethod, this hash contains details about the EPS payment method.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.eps.properties.bank in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.fpx in the specification.

If this is an `fpx` PaymentMethod, this hash contains details about the FPX payment method.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.fpx.properties.bank in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.ideal in the specification.

If this is an `ideal` PaymentMethod, this hash contains details about the iDEAL payment method.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.ideal.properties.bank in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.klarna in the specification.

If this is a `klarna` PaymentMethod, this hash contains details about the Klarna payment method.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.klarna.properties.dob in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.p24 in the specification.

If this is a `p24` PaymentMethod, this hash contains details about the P24 payment method.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.p24.properties.bank in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.radar_options in the specification.

Options to configure Radar. See Radar Session for more information.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.sepa_debit in the specification.

If this is a `sepa_debit` PaymentMethod, this hash contains details about the SEPA debit bank account.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.sofort in the specification.

If this is a `sofort` PaymentMethod, this hash contains details about the SOFORT payment method.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.sofort.properties.country in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.type in the specification.

The type of the PaymentMethod. An additional hash is included on the PaymentMethod with a name matching this value. It contains additional information specific to the PaymentMethod type.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.us_bank_account in the specification.

If this is an `us_bank_account` PaymentMethod, this hash contains details about the US bank account payment method.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.us_bank_account.properties.account_holder_type in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_methods.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.us_bank_account.properties.account_type in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postPaymentMethods.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostPaymentMethodsResponseError is used.

Constructors

Instances2Eq, Show